Subject: Re: AMCC 440EP phy detection

From: Feng Kan <[email-masked]>
Date: Tue, 07 Apr 2009 09:47:54 -0700

Hi Eddie:
 
Are you able to ping in u-boot? Sounded like you were only pinging in linux.
I would try the mii command in uboot. It seems like it detected the 
phys. Try enable the
loopbacks at the different stages to see if the traffic is returning. 
This excerise is
much easier in uboot than linux.

Feng Kan
AMCC Software

Eddie Dawydiuk wrote:
> Hello,
>
> I'm working on a board based on the Yosemite AMCC 440EP eval board. I'm having 
> some difficulty getting both network interfaces working. The first problem I 
> found is the ibm_newemac driver was detecting the two phys at address 0 and 1 
> where we have them wired for addresses 1 and 3. As a result I hardcoded the 
> phy-address in the dts file. I then found I was able to receive and send data on 
> eth1(phy-address 3) without incident. Although I found eth0 can receive data but 
> I see no packets being transmitted(using a packet sniffer) and I see no 
> indication from a software standpoint of any transmit failures. We are using 
> Micrel KSZ8041FTL phys(RMII mode) where the Yosemite board used Micrel KS8721BL 
> phys.  I've reviewed the schematic and it appears both phys are connected 
> identically and I've seen this same failure on multiple boards. I thought the 
> fact that the driver detected a phy at address 0 might be a clue, but I can't 
> make much of the clue. So I thought I'd post this info in the hopes someone else 
> might have run into a similar problem or have a suggestion.
>
>